org.eclipse.eef

## Interface EEFFillLayoutDescription

All Superinterfaces:
  EEFLayoutDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFFillLayoutDescriptionImpl

    public interface EEFFillLayoutDescription
    extends EEFLayoutDescription

A representation of the model object 'EEF Fill Layout Description'.

The following features are supported:

- `Orientation`

See Also:
  `EefPackage.getEEFFillLayoutDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`EEF_FILL_LAYOUT_ORIENTATION` `getOrientation()` Returns the value of the 'Orientation' attribute.
`void` `setOrientation(EEF_FILL_LAYOUT_ORIENTATION value)` Sets the value of the '`Orientation`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getOrientation

    EEF_FILL_LAYOUT_ORIENTATION getOrientation()

Returns the value of the 'Orientation' attribute. The default value is `"VERTICAL"`. The literals are from the enumeration `EEF_FILL_LAYOUT_ORIENTATION`. The orientation of the fill layout.

Returns:
  the value of the 'Orientation' attribute.
See Also:
  `EEF_FILL_LAYOUT_ORIENTATION`, `setOrientation(EEF_FILL_LAYOUT_ORIENTATION)`, `EefPackage.getEEFFillLayoutDescription_Orientation()`

#### setOrientation

    void setOrientation(EEF_FILL_LAYOUT_ORIENTATION value)

Sets the value of the '`Orientation`' attribute.

Parameters:
  `value` - the new value of the 'Orientation' attribute.
See Also:
  `EEF_FILL_LAYOUT_ORIENTATION`, `getOrientation()`